Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class ComponentGroupServiceDescriptor

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.jasig.portal.groups.ComponentGroupServiceDescriptor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class ComponentGroupServiceDescriptor

extends java.util.HashMap

A data holder for configuration information about a specific component group service.

Version:
  $Revision: 1.5 $
Author:
  Dan Ellentuck
See Also:
  `ICompositeGroupService`, Serialized Form

Field Summary
`static java.lang.String` | `CACHE_ENABLED`
`static java.lang.String` | `ENTITY_SEARCHER_FACTORY`
`static java.lang.String` | `ENTITY_STORE_FACTORY`
`static java.lang.String` | `FACTORY`
`static java.lang.String` | `GROUP_STORE_FACTORY`
`static java.lang.String` | `INTERNALLY_MANAGED`
`static java.lang.String` | `NAME`

Constructor Summary
`ComponentGroupServiceDescriptor()` ComponentGroupServiceDescriptor constructor comment.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attName)`
`java.lang.String` | `getEntitySearcherFactoryName()`
`java.lang.String` | `getEntityStoreFactoryName()`
`java.lang.String` | `getGroupStoreFactoryName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getServiceFactoryName()`
`boolean` | `isCachingEnabled()`
`boolean` | `isInternallyManaged()`
`void` | `setAttribute(java.lang.String attName, java.lang.Object attValue)`
`void` | `setCachingEnabled(boolean caching)`
`void` | `setEntitySearcherFactoryName(java.lang.String esfName)`
`void` | `setEntityStoreFactoryName(java.lang.String esfName)`
`void` | `setGroupStoreFactoryName(java.lang.String gsfName)`
`void` | `setInternallyManaged(boolean internal)`
`void` | `setName(java.lang.String name)`
`void` | `setServiceFactoryName(java.lang.String sfName)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### FACTORY

    public static final java.lang.String FACTORY

See Also:
  Constant Field Values

### ENTITY_STORE_FACTORY

    public static final java.lang.String ENTITY_STORE_FACTORY

See Also:
  Constant Field Values

### GROUP_STORE_FACTORY

    public static final java.lang.String GROUP_STORE_FACTORY

See Also:
  Constant Field Values

### ENTITY_SEARCHER_FACTORY

    public static final java.lang.String ENTITY_SEARCHER_FACTORY

See Also:
  Constant Field Values

### INTERNALLY_MANAGED

    public static final java.lang.String INTERNALLY_MANAGED

See Also:
  Constant Field Values

### CACHE_ENABLED

    public static final java.lang.String CACHE_ENABLED

See Also:
  Constant Field Values

Constructor Detail

### ComponentGroupServiceDescriptor

    public ComponentGroupServiceDescriptor()

  ComponentGroupServiceDescriptor constructor comment.

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attName)

### getEntitySearcherFactoryName

    public java.lang.String getEntitySearcherFactoryName()

### getEntityStoreFactoryName

    public java.lang.String getEntityStoreFactoryName()

### getGroupStoreFactoryName

    public java.lang.String getGroupStoreFactoryName()

### getName

    public java.lang.String getName()

### getServiceFactoryName

    public java.lang.String getServiceFactoryName()

### isCachingEnabled

    public boolean isCachingEnabled()

### isInternallyManaged

    public boolean isInternallyManaged()

### setAttribute

    public void setAttribute(java.lang.String attName,
                             java.lang.Object attValue)

### setCachingEnabled

    public void setCachingEnabled(boolean caching)

### setEntitySearcherFactoryName

    public void setEntitySearcherFactoryName(java.lang.String esfName)

### setEntityStoreFactoryName

    public void setEntityStoreFactoryName(java.lang.String esfName)

### setGroupStoreFactoryName

    public void setGroupStoreFactoryName(java.lang.String gsfName)

### setInternallyManaged

    public void setInternallyManaged(boolean internal)

### setName

    public void setName(java.lang.String name)

### setServiceFactoryName

    public void setServiceFactoryName(java.lang.String sfName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD